Package Details: ktexteditor-git 5.240.0_r3750.ge5b165fd-1

Git Clone URL: https://aur.archlinux.org/ktexteditor-git.git (read-only, click to copy)
Package Base: ktexteditor-git
Description: Advanced embeddable text editor
Upstream URL: https://community.kde.org/Frameworks
Licenses: LGPL
Conflicts: ktexteditor
Provides: ktexteditor
Submitter: stavallo
Maintainer: IslandC0der (chaotic-aur)
Last Packager: IslandC0der
Votes: 14
Popularity: 0.000015
First Submitted: 2014-01-14 18:22 (UTC)
Last Updated: 2023-02-06 23:32 (UTC)

Required by (43)

Sources (1)

Latest Comments

1 2 Next › Last »

davispuh commented on 2023-02-06 02:58 (UTC)

Doesn't build anymore. Need to add -DQT_MAJOR_VERSION=6 CMake option now.

IslandC0der commented on 2020-07-19 23:31 (UTC)

Fixed.

IslandC0der commented on 2020-07-10 12:25 (UTC)

Thanks, @szbergeron. I'll submit the package and add it to the deps list.

szbergeron commented on 2020-07-08 01:27 (UTC)

The version of syntax-highlighting in extra isn't new enough to support this currently, and there is no syntax-highlighting-git to use. Potentially some other kf5 package would provide these?

CMake Error at CMakeLists.txt:56 (find_package):
  Could not find a configuration file for package "KF5SyntaxHighlighting"
  that is compatible with requested version "5.72.0".

  The following configuration files were considered but not accepted:

    /usr/lib64/cmake/KF5SyntaxHighlighting/KF5SyntaxHighlightingConfig.cmake, version: 5.71.0
    /usr/lib/cmake/KF5SyntaxHighlighting/KF5SyntaxHighlightingConfig.cmake, version: 5.71.0
    /lib64/cmake/KF5SyntaxHighlighting/KF5SyntaxHighlightingConfig.cmake, version: 5.71.0
    /lib/cmake/KF5SyntaxHighlighting/KF5SyntaxHighlightingConfig.cmake, version: 5.71.0

AlD commented on 2020-02-22 13:21 (UTC)

I removed the outdated patch and orphaned the package again.

JayTurnr commented on 2017-11-05 00:14 (UTC)

==> Making package: ktexteditor-git r1114.f3f4319-2 (Sun 5 Nov 00:11:28 GMT 2017) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Cloning ktexteditor git repo... Cloning into bare repository '/tmp/packerbuild-1000/ktexteditor-git/ktexteditor-git/ktexteditor'... remote: Counting objects: 23822, done. remote: Compressing objects: 100% (5746/5746), done. remote: Total 23822 (delta 15048), reused 22341 (delta 13909) Receiving objects: 100% (23822/23822), 77.43 MiB | 2.15 MiB/s, done. Resolving deltas: 100% (15048/15048), done. -> Found pkgbuild-syntax-highlight.patch ==> Validating source files with md5sums... ktexteditor ... Skipped pkgbuild-syntax-highlight.patch ... Passed ==> Extracting sources... -> Creating working copy of ktexteditor git repo... Cloning into 'ktexteditor'... done. ==> Starting prepare()... can't find file to patch at input line 3 Perhaps you used the wrong -p or --strip option? The text leading up to this was: -------------------------- |--- src/syntax/data/bash.xml~ 2013-06-13 09:46:51.569245577 +0000 |+++ src/syntax/data/bash.xml 2013-06-13 09:47:31.745637790 +0000 -------------------------- File to patch: What do I do?

ahrs commented on 2017-06-14 21:55 (UTC)

The patch is broken and the package also needs python and syntax-highlighting to build successfully with `makepkg -s --noprepare`

desaparecido commented on 2016-08-31 06:44 (UTC)

hi, I have this error: ==> Starting prepare()... patching file src/syntax/data/bash.xml Hunk #1 FAILED at 8. 1 out of 1 hunk FAILED -- saving rejects to file src/syntax/data/bash.xml.rej ==> ERROR: A failure occurred in prepare(). Aborting... for the moment I comment the patch lines, its only about PKGBUILD format thanks

arojas commented on 2015-10-11 19:46 (UTC)

Fixed, thanks

tajidinabd commented on 2015-10-11 19:16 (UTC)

i am getting this error in regards to the patch Updated version: ktexteditor-git r1114.f3f4319-1 ==> Starting prepare()... patching file src/syntax/data/bash.xml Hunk #1 FAILED at 8. 1 out of 1 hunk FAILED -- saving rejects to file src/syntax/data/bash.xml.rej ==> ERROR: A failure occurred in prepare(). Aborting... ==> ERROR: Makepkg was unable to build ktexteditor-git.